DBusAtomic Struct Reference
D-Bus secret internal implementation details » Internal system-dependent API

An atomic integer safe to increment or decrement from multiple threads. More...

`#include <dbus-sysdeps.h>`

## Data Fields

volatile dbus_int32_t | value
| Value of the atomic integer.

## Detailed Description

An atomic integer safe to increment or decrement from multiple threads.

Definition at line 339 of file dbus-sysdeps.h.

## Field Documentation

## value

volatile dbus_int32_t DBusAtomic::value

Value of the atomic integer.

Definition at line 346 of file dbus-sysdeps.h.

Referenced by _dbus_atomic_dec(), _dbus_atomic_get(), _dbus_atomic_inc(), _dbus_atomic_set_nonzero(), and _dbus_atomic_set_zero().

The documentation for this struct was generated from the following file:

- dbus-sysdeps.h